#!/usr/bin/make -f


export DH_GOLANG_EXCLUDES := examples pcap/gopacket_benchmark pfring
export DH_GOLANG_INSTALL_EXTRA := $(wildcard pcap/*.pcap) pcapgo/tests

DH_GOPKG := github.com/gopacket/gopacket

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_configure:
	dh_auto_configure
	chmod -x _build/src/$(DH_GOPKG)/pcapgo/write.go
	rm -rf _build/src/$(DH_GOPKG)/routing/routing_test.go
	rm -rf _build/src/$(DH_GOPKG)/pcapgo/ngwrite_dsb_test.go
